DEROFF(1)

NAME
deroff, delatex - remove formatting requests

SYNOPSIS
deroff [ option ... ] file ...

delatex file

DESCRIPTION
Deroff reads each file in sequence and removes all nroff and troff(1) requests and non-text arguments, backslash constructions, and constructs of preprocessors such as eqn(1), pic(1), and tbl(1). Remaining text is written on the standard output. Deroff follows files included by and commands; if a file has already been included, a for that file is ignored and a terminates execution. If no input file is given, deroff reads from standard input.

The options are

-w  Output a word list, one `word' (string of letters, digits, and properly embedded ampersands and apostrophes, beginning with a letter) per line. Other characters are skipped. Otherwise, the output follows the original, with the deletions mentioned above.

-_  Like -w, but consider underscores to be alphanumeric rather than punctuation.

-i  Ignore and requests.

-ms

-mm Remove titles, attachments, etc., as well as ordinary troff constructs, from ms(7) or mm documents.

-ml Same as -mm, but remove lists as well.

Delatex does for tex and latex (see tex(1)) files what deroff -wi does for troff files.

SOURCE
/usr/local/plan9/src/cmd/deroff.c
/usr/local/plan9/src/cmd/delatex.lx

SEE ALSO
troff(1), tex(1), spell(1)

BUGS
These filters are not complete interpreters of troff or tex. For example, macro definitions containing cause chaos in deroff when the popular delimiters for eqn are in effect.

Text inside macros is emitted at place of definition, not place of call.